# Generated by Django 2.2 on 2019-04-23 20:41

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('db', '0021_auto_20190418_1600_v05'),
    ]

    operations = [
        migrations.AddField(
            model_name='schedule',
            name='cron',
            field=models.CharField(blank=True,
                                   help_text="Defines how often to run, this timedelta object gets added to your latest operation instance's execution_date to figure out the next schedule",
                                   max_length=64, null=True),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='frequency',
            field=models.PositiveIntegerField(blank=True,
                                              help_text="Defines how often to run, this timedelta object gets added to your latest operation instance's execution_date to figure out the next schedule",
                                              null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='k8s_retry',
            field=models.NullBooleanField(default=True,
                                          help_text='Retry by setting the kubernetes retry field.'),
        ),
        migrations.AddField(
            model_name='operation',
            name='skip_on_upstream_skip',
            field=models.BooleanField(default=False,
                                      help_text='skip this operation if upstream operations are skipped.'),
        ),
        migrations.RenameField(
            model_name='operation',
            old_name='celery_queue',
            new_name='queue',
        ),
        migrations.RenameField(
            model_name='operationrun',
            old_name='celery_task_context',
            new_name='context',
        ),
        migrations.RemoveField(
            model_name='operation',
            name='celery_task',
        ),
        migrations.RemoveField(
            model_name='operation',
            name='config',
        ),
        migrations.RemoveField(
            model_name='operation',
            name='run_as_user',
        ),
        migrations.RemoveField(
            model_name='operationrun',
            name='celery_task_id',
        ),
        migrations.RemoveField(
            model_name='operationrun',
            name='finished_at',
        ),
        migrations.RemoveField(
            model_name='operationrun',
            name='started_at',
        ),
        migrations.RemoveField(
            model_name='operationrun',
            name='status',
        ),
        migrations.AddField(
            model_name='operation',
            name='content',
            field=models.TextField(blank=True, help_text='The yaml content of the polyaxonfile/specification.', null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='entity_type',
            field=models.CharField(blank=True, max_length=24, null=True),
        ),
        migrations.AddField(
            model_name='operation',
            name='security_context',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, help_text='security context to impersonate while running the operation.', max_length=64, null=True),
        ),
        migrations.AddField(
            model_name='operationrun',
            name='entity_content_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='contenttypes.ContentType'),
        ),
        migrations.AddField(
            model_name='operationrun',
            name='entity_object_id',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='operationrun',
            name='status',
            field=models.CharField(blank=True, max_length=64, null=True),
        ),
        migrations.DeleteModel(
            name='OperationRunStatus',
        ),
        migrations.RemoveField(
            model_name='buildjob',
            name='config',
        ),
        migrations.RemoveField(
            model_name='experiment',
            name='config',
        ),
        migrations.RemoveField(
            model_name='job',
            name='config',
        ),
        migrations.RemoveField(
            model_name='notebookjob',
            name='config',
        ),
        migrations.RemoveField(
            model_name='tensorboardjob',
            name='config',
        ),
        migrations.AddField(
            model_name='pipeline',
            name='content',
            field=models.TextField(blank=True,
                                   help_text='The yaml content of the polyaxonfile/specification.',
                                   null=True),
        ),
        # indexes
        migrations.AddIndex(
            model_name='buildjob',
            index=models.Index(fields=['name'], name='db_buildjob_name_918daf_idx'),
        ),
        migrations.AddIndex(
            model_name='experiment',
            index=models.Index(fields=['name'], name='db_experime_name_b0cc23_idx'),
        ),
        migrations.AddIndex(
            model_name='experimentgroup',
            index=models.Index(fields=['name'], name='db_experime_name_125a1f_idx'),
        ),
        migrations.AddIndex(
            model_name='experimentjob',
            index=models.Index(fields=['role'], name='db_experime_role_8ccfe4_idx'),
        ),
        migrations.AddIndex(
            model_name='job',
            index=models.Index(fields=['name'], name='db_job_name_996047_idx'),
        ),
        migrations.AddIndex(
            model_name='notebookjob',
            index=models.Index(fields=['name'], name='db_notebook_name_a58b53_idx'),
        ),
        migrations.AddIndex(
            model_name='operation',
            index=models.Index(fields=['name'], name='db_operatio_name_b5e800_idx'),
        ),
        migrations.AddIndex(
            model_name='pipeline',
            index=models.Index(fields=['name'], name='db_pipeline_name_5c855f_idx'),
        ),
        migrations.AddIndex(
            model_name='project',
            index=models.Index(fields=['name'], name='db_project_name_4bfc0e_idx'),
        ),
        migrations.AddIndex(
            model_name='tensorboardjob',
            index=models.Index(fields=['name'], name='db_tensorbo_name_de5436_idx'),
        ),
    ]
