from lifecycles.statuses import BaseStatuses, StatusOptions


class TaskRunLifeCycle(BaseStatuses):
    CREATED = StatusOptions.CREATED
    WARNING = StatusOptions.WARNING
    SCHEDULED = StatusOptions.SCHEDULED
    RUNNING = StatusOptions.RUNNING
    SUCCEEDED = StatusOptions.SUCCEEDED
    FAILED = StatusOptions.FAILED
    UPSTREAM_FAILED = StatusOptions.UPSTREAM_FAILED
    STOPPED = StatusOptions.STOPPED
    SKIPPED = StatusOptions.SKIPPED
    RETRYING = StatusOptions.RETRYING

    VALUES = {
        CREATED, WARNING, SCHEDULED, RUNNING,
        SUCCEEDED, FAILED, UPSTREAM_FAILED, STOPPED, SKIPPED, RETRYING
    }
    CHOICES = (
        (CREATED, CREATED),
        (WARNING, WARNING),
        (SCHEDULED, SCHEDULED),
        (RUNNING, RUNNING),
        (SUCCEEDED, SUCCEEDED),
        (FAILED, FAILED),
        (UPSTREAM_FAILED, UPSTREAM_FAILED),
        (STOPPED, STOPPED),
        (SKIPPED, SKIPPED),
        (RETRYING, RETRYING)
    )

    HEARTBEAT_STATUS = {RUNNING, }
    WARNING_STATUS = {WARNING, }
    PENDING_STATUS = {CREATED, }
    STARTING_STATUS = {SCHEDULED, }
    RUNNING_STATUS = {SCHEDULED, RUNNING}
    FAILED_STATUS = {FAILED, UPSTREAM_FAILED}
    DONE_STATUS = {SUCCEEDED, FAILED, UPSTREAM_FAILED, STOPPED, SKIPPED}

    TRANSITION_MATRIX = {
        CREATED: {None, },
        SCHEDULED: {CREATED, RETRYING, WARNING, },
        RUNNING: {SCHEDULED, WARNING, },
        SUCCEEDED: {RUNNING, WARNING, },
        FAILED: {SCHEDULED, RUNNING, WARNING, },
        UPSTREAM_FAILED: set(VALUES) - {UPSTREAM_FAILED, },
        STOPPED: {CREATED, SCHEDULED, RUNNING, WARNING, },
        SKIPPED: {CREATED, SCHEDULED, STOPPED, WARNING, },
        RETRYING: {SCHEDULED, RUNNING, FAILED, STOPPED, SKIPPED, RETRYING, WARNING, },
        WARNING: set(VALUES) - {SUCCEEDED, FAILED, STOPPED, UPSTREAM_FAILED, WARNING, },
    }
